%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%endif

Summary: A tool that enables acknowledgements via sms
Name: smsacknowledge
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/monitor
License: op5 Immaterial Rights License
Prefix: /opt/monitor/op5/smsreceive/smsacknowledge
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: php-op5lib
Requires: monitor
Requires: smsreceiver >= 1.0
Requires: smstools
Requires: monitor-ninja
Source: %name-%version.tar.gz
%if 0%{?suse_version}
# SLES-specific stuff
Requires: php53
%else
# Common RHEL stuff
Requires: php-cli
%endif


%description
A tool that enables acknowledgements to be sent in via sms. 

%prep
%setup -q


%install
rm -rf %buildroot

mkdir -p -m 750 %buildroot%prefix

install -m 750 smsacknowledge.php %buildroot%prefix
install -m 640 smsacknowledge.inc.php %buildroot%prefix
install -m 640 README %buildroot%prefix


%files
%defattr(-,%daemon_user,%daemon_group)
%prefix


%clean
rm -rf %buildroot

%changelog
* Thu May 03 2007 Peter Ostlin <peter@op5.se>
- changing to group apache to comply with centos
* Thu Jul 13 2006 Peter Ostlin <peter@op5.se> 1.0-op5.rc1
- First working version.
